import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class DrawPanel extends JPanel implements MouseListener{
    private Rectangle rectangle;
    private boolean flag;
    
    public DrawPanel() {
        super();
        
        addMouseListener(this);
 
        rectangle = new Rectangle(50, 50, 200, 200);
    }
    
    
    public void mousePressed(MouseEvent e){
        flag=rectangle.contains(e.getPoint());
        this.repaint();    
    }
    
    public void mouseClicked(MouseEvent e) { }
    public void mouseReleased(MouseEvent e) { }
    public void mouseEntered(MouseEvent e) { }
    public void mouseExited(MouseEvent e) { }
      
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(Color.blue);
        if(flag==true){
            g.setColor(Color.red);
        }
        g.fillRect(rectangle.x, rectangle.y, rectangle.width, rectangle.height);
    }
}